<inp2:adm_SetPopupSize width="700" height="440"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:admins" prefix="u" title_preset="admins_edit" tab_preset="Admins"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('u','<inp2:u_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('u','OnCancelEdit','<inp2:u_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('u', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('u', '<inp2:u_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('u', '<inp2:u_NextId/>');
						}
				 ) );



				a_toolbar.Render();

				<inp2:m_if check="u_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="u_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="u_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:u_SaveWarning name="grid_save_warning"/>
<inp2:u_ErrorWarning name="form_error_warning"/>
<inp2:m_include template="users/user_blocks"/>

<inp2:m_RenderElement name="inp_edit_hidden" prefix="u" field="UserType"/>
<inp2:m_RenderElement name="inp_edit_hidden" prefix="u" field="PrimaryGroupId"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="u" fields="PortalUserId,Username,Password,FirstName,LastName,Email" title="la_section_General"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="u" field="PortalUserId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="u" field="Username" title="la_fld_Username" autocomplete="off"/>
			<inp2:m_RenderElement name="password_fields" />

			<inp2:m_RenderElement name="inp_edit_box" prefix="u" field="FirstName" title="la_fld_FirstName"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="u" field="LastName" title="la_fld_LastName"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="u" field="Email" title="la_fld_Email"/>

		<inp2:m_RenderElement name="subsection" prefix="u" fields="AdminLanguage,IPAddress,IPRestrictions,TimeZone" title="la_section_Properties"/>
			<inp2:m_RenderElement name="inp_edit_options" prefix="u" field="AdminLanguage" has_empty="1"/>

			<inp2:m_if check="u_Field" name="IPAddress">
				<inp2:m_RenderElement name="inp_label" prefix="u" field="IPAddress"/>
			</inp2:m_if>

			<inp2:m_RenderElement name="inp_edit_textarea" prefix="u" field="IPRestrictions" allow_html="0" hint_label="hint:la_fld_DomainIPRange" control_options="{max_height: 100}"/>
			<inp2:m_RenderElement name="inp_edit_timezone" prefix="u" field="TimeZone"/>

		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<script type="text/javascript">
	$(document).ready(
		function() {
			<inp2:m_RenderElement name="password_fields_js" />
		}
	);
</script>

<inp2:m_include t="incs/footer"/>